******************************
* Structures
******************************

****************
* Str_ColorMap
* Str_View
* Str_ViewPort
* Str_RastPort
* Str_RasInfo
* Str_BitMap
* Str_Screen
* str_newwindow
****************

*-------------------------------
Point_ColorMap	MACRO
		ifnd	cm_Flags
cm_Flags	equ	0
cm_Type		equ	1
cm_Count	equ	2
cm_ColorTable	equ	4
cm_SizeOf	equ	8
		endc
		ENDM

Str_ColorMap	MACRO
		ifnd	cm_Flags
		Point_ColorMap
		endc
	blk.b	cm_SizeOf,0
		ENDM
*--------------------------------
Point_View	Macro
		ifnd	v_ViewPort
v_ViewPort	equ	0
v_LOFCprList	equ	4
v_SHFCprList	equ	8
v_DyOffset	equ	12
v_DxOffset	equ	14
v_Modes		equ	16
v_SizeOf	equ	18
		endc
		Endm

Str_View	MACRO
		ifnd	v_ViewPort
		Point_View
		endc
	blk.b	v_SizeOf,0
		ENDM
*--------------------------------
Point_ViewPort	Macro
		ifnd	vp_Next
vp_Next		equ	0
vp_ColorMap	equ	4
vp_DspIns	equ	8
vp_SprIns	equ	12
vp_ClrIns	equ	16
vp_UCopIns	equ	20
vp_DWidth	equ	24
vp_DHeight	equ	26
vp_DxOffset	equ	28
vp_DyOffset	equ	30
vp_Modes	equ	32
vp_SpritePrior	equ	34
vp_reserved	equ	35
vp_RasInfo	equ	36
vp_SizeOf	equ	40
		endc
		Endm

Str_ViewPort	MACRO
		ifnd	vp_Next
		Point_ViewPort
		endc
	blk.b	vp_SizeOf,0
		ENDM
*--------------------------------
Point_RastPort	Macro
		ifnd	rp_Layer
rp_Layer	equ	0
rp_BitMap	equ	4
rp_AreaPtrn	equ	8
rp_TmpRas	equ	12
rp_AreaInfo	equ	16
rp_GelsInfo	equ	20
rp_Mask		equ	24
rp_FgPen	equ	25
rp_BgPen	equ	26
rp_AOLPen	equ	27
rp_DrawMode	equ	28
rp_AreaPtSz	equ	29
rp_Dummy	equ	30
rp_LinPatCnt	equ	31
rp_Flags	equ	32
rp_LinePtrn	equ	34
rp_Cp_X		equ	36
rp_Cp_Y		equ	38
rp_Minterms	equ	40
rp_PenWidth	equ	48
rp_PenHeight	equ	50
rp_Font		equ	52
rp_AlgoStyle	equ	56
rp_TxFlags	equ	57
rp_TxHeight	equ	58
rp_TxWidth	equ	60
rp_BaseLine	equ	62
rp_TxSpacing	equ	64
rp_RP_User	equ	66
rp_LongReserved	equ	70
rp_WordReserved	equ	78
rp_Reserved	equ	92
rp_SizeOf	equ	100
		endc
		Endm

Str_RastPort	MACRO
		ifnd	rp_Layer
		Point_RastPort
		endc
	blk.b	rp_SizeOf,0
		ENDM
*---------------------------------
Point_RasInfo	Macro
		ifnd	ri_Next
ri_Next		equ	0
ri_BitMap	equ	4
ri_RxOffset	equ	8
ri_RyOffset	equ	10
ri_SizeOf	equ	12
		endc
		Endm

Str_RasInfo	Macro
		ifnd	ri_Next
		Point_RasInfo
		endc
	blk.b	ri_SizeOf,0
		Endm
*----------------------------------
Point_BitMap	Macro
		ifnd	bm_BytesPerRow
bm_BytesPerRow	equ	0
bm_Rows		equ	2
bm_Flags	equ	4
bm_Depth	equ	5
bm_Pad		equ	6
bm_Planes	equ	8	;8*4
bm_SizeOf	equ	40
		endc
		Endm

Str_BitMap	Macro
		ifnd	bm_BytesPerRow
		Point_BitMap
		endc
	blk.b	bm_SizeOf,0
		endm
*----------------------------------
Point_Screen	Macro
		ifnd	sc_NextScreen
sc_NextScreen	equ	0
sc_FirstWindow	equ	4
sc_LeftEdge	equ	8
sc_TopEdge	equ	10
sc_Width	equ	12
sc_Height	equ	14
sc_MouseY	equ	16
sc_MouseX	equ	18
sc_Flags	equ	20
sc_Title	equ	22
sc_DefaultTitle	equ	26
sc_BarHeight	equ	30
sc_BarVBorder	equ	31
sc_BarHBorder	equ	32
sc_MenuVBorder	equ	33
sc_MenuHBorder	equ	34
sc_WBorTop	equ	35
sc_WBorLeft	equ	36
sc_WBorRight	equ	37
sc_WBorBottom	equ	38
sc_KludgeFill00	equ	39
sc_Font		equ	40
sc_ViewPort	equ	44
		Point_ViewPort
sc_RastPort	equ	84
		Point_RastPort
sc_BitMap	equ	184
		Point_BitMap
sc_LayerInfo	equ	224
sc_FirstGadget	equ	326
sc_DetailPen	equ	330
sc_BlockPen	equ	331
sc_SaveColor	equ	332
sc_BarLayer	equ	334
sc_ExtData	equ	338
sc_UserData	equ	342
sc_SizeOf	equ	346
		endc
		EndM

Str_Screen	Macro
		ifnd	sc_NextScreen
		Point_Screen
		endc
	blk.b	sc_SizeOf,0
		EndM
*----------------------------
point_newwindow	macro
	ifnd	nw_leftedge
	nw_leftedge	=0
	nw_topedge	=2
	nw_width	=4
	nw_height	=6
	nw_detailpen	=8
	nw_blockpen	=9
	nw_idcmpflags	=10
	nw_flags	=14
	nw_firstgadget	=18
	nw_checkmark	=22
	nw_title	=26
	nw_screen	=30
	nw_bitmap	=34
	nw_minwidth	=38
	nw_minheight	=40
	nw_maxwidth	=42
	nw_maxheight	=44
	nw_type		=46
	nw_sizeof	=48
	endc
	endm
	
str_newwindow	macro
	ifnd	nw_leftedge
	point_newwindow
	endc
	blk.b	nw_sizeof,0
	endm
;-----------------------------------
	
	

